# Configuration file

##########################################################################################################
# battletowerchestitems
#--------------------------------------------------------------------------------------------------------#
# Syntax for each Item entry is 'Name-Meta-Spawnchance-minAmount-maxAmount', entries are seperated by ';'
##########################################################################################################

battletowerchestitems {
    S:"Floor 1"=spartanweaponry:dagger_stone-0-2-1-1;spartanweaponry:longsword_stone-0-2-1-1;spartanweaponry:katana_stone-0-2-1-1;spartanweaponry:saber_stone-0-2-1-1;spartanweaponry:rapier_stone-0-2-1-1;spartanweaponry:greatsword_stone-0-2-1-1;spartanweaponry:hammer_stone-0-2-1-1;spartanweaponry:warhammer_stone-0-2-1-1;spartanweaponry:spear_stone-0-2-1-1;spartanweaponry:halberd_stone-0-2-1-1;leather_helmet-0-20-1-1;leather_chestplate-0-20-1-1;leather_leggings-0-20-1-1;leather_boots-0-20-1-1;stick-0-75-5-6;wheat_seeds-0-75-3-5;planks-0-75-5-6;reeds-0-75-3-5;torch-0-80-3-10;experience_bottle-0-100-1-1;scalinghealth:heartcontainer-0-1-1-1
    S:"Floor 2"=spartanweaponry:pike_stone-0-2-1-1;spartanweaponry:lance_stone-0-2-1-1;spartanweaponry:longbow_leather-0-2-1-1;spartanweaponry:crossbow_leather-0-2-1-1;spartanweaponry:throwing_knife_stone-0-2-1-1;spartanweaponry:throwing_axe_stone-0-2-1-1;spartanweaponry:javelin_stone-0-2-1-1;spartanweaponry:boomerang_stone-0-2-1-1;spartanweaponry:battleaxe_stone-0-2-1-1;spartanweaponry:mace_stone-0-2-1-1;leather_helmet-0-20-1-1;leather_chestplate-0-20-1-1;leather_leggings-0-20-1-1;leather_boots-0-20-1-1;wool-0-50-2-8;wool-0-50-2-8;wool-0-75-2-8;stone_sword-0-50-1-1;stone_pickaxe-0-50-1-1;stone_axe-0-50-1-1;torch-0-80-3-3;stone_button-0-50-2-2;cobblestone-0-50-2-20;cobblestone-0-50-2-20;scalinghealth:heartcontainer-0-1-1-1
    S:"Floor 3"=chainmail_helmet-0-20-1-1;chainmail_chestplate-0-20-1-1;chainmail_leggings-0-20-1-1;chainmail_boots-0-20-1-1;clay_ball-0-50-2-20;clay_ball-0-50-2-20;brick_block-0-50-2-20;brick_block-0-50-2-20;bowl-0-75-2-4;coal-0-90-2-4;string-0-80-2-5;wool-0-50-1-8;wool-0-50-1-8;wool-0-50-1-8;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:gameplay/fishing/junk:5
    S:"Floor 4"=slime_ball-0-20-1-8;chainmail_helmet-0-20-1-1;chainmail_chestplate-0-20-1-1;chainmail_leggings-0-20-1-1;chainmail_boots-0-20-1-1;iceandfire:armor_silver_metal_helmet-0-5-1-1;iceandfire:armor_silver_metal_chestplate-0-5-1-1;iceandfire:armor_silver_metal_leggings-0-5-1-1;iceandfire:armor_silver_metal_boots-0-5-1-1;slime_ball-0-10-1-8;glass-0-75-3-10;glass-0-75-3-10;glass-0-75-3-10;feather-0-75-4-10;bread-0-75-2-10;apple-0-75-2-5;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:gameplay/fishing/treasure:5
    S:"Floor 5"=toolbelt:belt-0-15-1-1;toolbelt:pouch-0-15-1-1;wearablebackpacks:backpack-0-10-1-1;compass-0-50-1-1;minecraft:map-0-10-1-1;iceandfire:armor_silver_metal_helmet-0-10-1-1;iceandfire:armor_silver_metal_chestplate-0-10-1-1;iceandfire:armor_silver_metal_leggings-0-10-1-1;iceandfire:armor_silver_metal_boots-0-10-1-1;slime_ball-0-20-1-8;clock-0-75-1-1;brown_mushroom-0-75-2-2;red_mushroom-0-75-2-2;sapling-0-90-3-3;wheat-0-75-4-4;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:chests/abandoned_mineshaft:5
    S:"Floor 6"=toolbelt:belt-0-15-1-1;toolbelt:pouch-0-15-1-1;wearablebackpacks:backpack-0-10-1-1;slime_ball-0-10-1-8;minecraft:map-0-10-1-1;antiqueatlas:empty_antique_atlas-0-10-1-1;iron_helmet-0-10-1-1;iron_chestplate-0-10-1-1;iron_leggings-0-10-1-1;iron_boots-0-10-1-1;iron_helmet-0-10-1-1;slime_ball-0-20-1-8;compass-0-75-1-1;bookshelf-0-70-1-5;tnt-0-50-1-10;sign-0-50-1-2;fishing_rod-0-75-1-1;pumpkin_seeds-0-60-2-2;melon_seeds-0-60-3-3;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:chests/simple_dungeon:1
    S:"Floor 7"=antiqueatlas:empty_antique_atlas-0-10-1-1;iron_helmet-0-10-1-1;iron_chestplate-0-10-1-1;iron_leggings-0-10-1-1;iron_boots-0-10-1-1;iron_helmet-0-10-1-1;armorunder:auto_chestplate_liner-0-1-1-1;armorunder:auto_leggings_liner-0-1-1-1;iron_horse_armor-0-25-1-1;iron_horse_armor-0-25-1-1;bookshelf-0-70-1-5;diamond_sword-0-60-1-1;diamond_pickaxe-0-60-1-1;golden_apple-0-60-1-1;iron_sword-0-60-1-1;gunpowder-0-75-3-10;leather-0-75-4-8;fish-0-75-3-3;dye-0-60-1-2;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:chests/simple_dungeon:2
    S:"Floor 8"=armorunder:auto_chestplate_liner-0-2-1-1;armorunder:auto_leggings_liner-0-2-1-1;baubles:ring-0-10-1-1;xpbook:xp_book-0-10-1-1;qualitytools:emerald_ring-0-10-1-1;qualitytools:emerald_amulet-0-10-1-1;golden_horse_armor-0-25-1-1;golden_horse_armor-0-25-1-1;lapis_block-0-70-1-3;glowstone_dust-0-70-1-5;bookshelf-0-70-1-5;iron_ingot-0-70-1-5;iron_ingot-0-70-1-5;iron_ingot-0-70-1-5;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:chests/simple_dungeon:3
    S:"Floor 9"=bountifulbaubles:spectralsilt-0-1-1-4;xat:glowing_ingot-0-20-1-4;potionfingers:ring-0-10-1-1;blaze_rod-0-20-1-2;armorunder:auto_chestplate_liner-0-3-1-1;armorunder:auto_leggings_liner-0-3-1-1;baubles:ring-0-10-1-1;xpbook:xp_book-0-10-1-1;qualitytools:emerald_ring-0-10-1-1;qualitytools:emerald_amulet-0-10-1-1;diamond_horse_armor-0-15-1-1;diamond_horse_armor-0-10-1-1;lapis_block-0-70-1-3;experience_bottle-0-50-1-32;blaze_powder-0-50-1-5;glowstone_dust-0-70-1-5;glowstone_dust-0-70-1-5;diamond_helmet-0-40-1-1;diamond_chestplate-0-40-1-1;diamond_leggings-0-40-1-1;diamond_boots-0-40-1-1;bookshelf-0-70-1-5;bookshelf-0-70-1-5;bookshelf-0-70-1-5;emerald-0-80-3-6;emerald-0-80-5-10;emerald_block-0-60-1-3;redstone_lamp-0-60-2-2;brewing_stand-0-50-1-1;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:chests/simple_dungeon:4
    S:"Item Generations per Floor"=999
    S:"Top Floor"=defiledlands:essence_mourner-0-5-1-4;defiledlands:essence_destroyer-0-5-1-4;defiledlands:ravaging_ingot-0-5-1-4;bountifulbaubles:spectralsilt-0-1-1-4;xat:glowing_ingot-0-20-1-4;potionfingers:ring-0-10-1-1;baubles:ring-0-10-1-1;xpbook:xp_book-0-10-1-1;qualitytools:emerald_ring-0-10-1-1;qualitytools:emerald_amulet-0-10-1-1;nether_star-0-1-1-1;lapis_block-0-70-1-3;experience_bottle-0-50-1-10;experience_bottle-0-50-1-10;experience_bottle-0-50-1-10;blaze_powder-0-50-1-5;blaze_rod-0-50-1-4;glowstone_dust-0-70-1-5;glowstone_dust-0-70-1-5;glowstone_dust-0-70-1-5;ender_pearl-0-50-2-4;diamond-0-50-2-5;diamond-0-60-2-5;diamond-0-70-2-5;diamond_block-0-60-1-3;redstone-0-75-5-10;gold_ingot-0-70-8-16;scalinghealth:heartcontainer-0-1-1-1;ChestGenHook:chests/simple_dungeon:5
}


biomespawnallowed {
    B:"Aether Void"=true
    B:Beach=true
    B:"Birch Forest"=true
    B:"Birch Forest Hills"=true
    B:"Birch Forest M"=true
    B:"Cold Beach"=true
    B:"Cold Taiga"=true
    B:"Deep Ocean"=true
    B:Desert=true
    B:"Desert M"=true
    B:DesertHills=true
    B:"Extreme Hills"=true
    B:"Extreme Hills M"=true
    B:"Extreme Hills+"=true
    B:"Extreme Hills+ M"=true
    B:"Flower Forest"=true
    B:Forest=true
    B:ForestHills=true
    B:FrozenOcean=true
    B:FrozenRiver=true
    B:Glacier=true
    B:Heathland=true
    B:Highlands=true
    B:"Ice Mountains"=true
    B:"Ice Plains"=true
    B:"Ice Plains Spikes"=true
    B:Jungle=true
    B:JungleEdge=true
    B:JungleHills=true
    B:"Mega Taiga Hills"=true
    B:Ocean=true
    B:Plains=true
    B:River=true
    B:"Roofed Forest"=true
    B:"Roofed Forest M"=true
    B:Savanna=true
    B:"Savanna Plateau"=true
    B:"Savanna Plateau M"=true
    B:"Stone Beach"=true
    B:"Sunflower Plains"=true
    B:Swampland=true
    B:Taiga=true
    B:TaigaHills=true
    B:"The Void"=true
    B:arid_highland=true
    B:autumnal_wooded_hills=true
    B:autumnal_woods=true
    B:badlands=true
    B:bayou=true
    B:bbluespruceforest=true
    B:beaches=true
    B:birch_forest=true
    B:birch_forest_hills=true
    B:borchard=true
    B:bpraire=true
    B:brushland=true
    B:bstellatapasture=true
    B:bzelkovaforest=true
    B:canyon=true
    B:cliffs=true
    B:cold_beach=true
    B:coniferous_forest=true
    B:crag_cliffs=true
    B:deep_ocean=true
    B:desert=true
    B:desert_hills=true
    B:desert_shrubland=true
    B:extreme_hills=true
    B:extreme_hills_with_trees=true
    B:forest=true
    B:forest_hills=true
    B:forest_tenebra=true
    B:forest_vilespine=true
    B:forested_hills=true
    B:frozen_river=true
    B:glacier=true
    B:glacier_spikes=true
    B:grassland=true
    B:gravel_beach=true
    B:greatGapB=true
    B:green_swamp=true
    B:grove=true
    B:hills_defiled=true
    B:ice_flats=true
    B:ice_mountains=true
    B:jungle=true
    B:jungle_edge=true
    B:jungle_hills=true
    B:kelp_forest=true
    B:lush_hills=true
    B:marsh=true
    B:meadow=true
    B:mesa=true
    B:mesa_clear_rock=true
    B:mesa_rock=true
    B:mini_jungle=true
    B:mushroom_forest=true
    B:mutated_birch_forest=true
    B:mutated_birch_forest_hills=true
    B:mutated_desert=true
    B:mutated_extreme_hills=true
    B:mutated_extreme_hills_with_trees=true
    B:mutated_forest=true
    B:mutated_plains=true
    B:mutated_roofed_forest=true
    B:mutated_savanna=true
    B:oak_savannah=true
    B:ocean=true
    B:plains=true
    B:plains_defiled=true
    B:rainforest=true
    B:red_desert=true
    B:redwood_forest=true
    B:redwood_taiga=true
    B:redwood_taiga_hills=true
    B:river=true
    B:rocky_plains=true
    B:rocky_plateau=true
    B:roofed_forest=true
    B:savanna=true
    B:savanna_rock=true
    B:shrubland=true
    B:snowy_coniferous_forest=true
    B:steppe=true
    B:stone_beach=true
    B:swamp_defiled=true
    B:swampland=true
    B:taiga=true
    B:taiga_cold=true
    B:taiga_cold_hills=true
    B:taiga_hills=true
    B:temperate_rainforest=true
    B:thicket=true
    B:woodland=true
    B:woodlands=true
}


chunkproviderallowed {
    B:ChunkProviderServer=true
}


mainoptions {
    I:"Minimum Distance between 2 BattleTowers"=1200
    I:"Minimum Distance of Battletowers from Spawn"=1200
    I:"Tower Destroying Enabled"=1
    I:chanceTowerIsUnderGround=50
    B:noGolemExplosions=true
    B:towerFallDestroysMobSpawners=true
}


